# MqGateway

MqGateway is gateway device for multiple wired electronic sensors and controllers, which are essential in creating smart home solution.

MqGateway has been created to support multi-device, fully wired solution. It supports MQTT Homie convention and provides easy integration with home automation software like OpenHab and Home Assistant.

![Cased MqGateway with Expander](https://www.openhardware.io//uploads/5ffe1b7be64e7104b094c24c/image/PXL_20210223_214151539.jpg "MqGateway with I/O Expander")

Both MqGateway hardware and software are freely available under Open Source Licenses.

## What's the use case?
Typical use case for MqGateway is house with sensors and controllers distributed all around with wired connections. It is possible to plug in simple and inexpensive devices, like relay modules, PIR motion sensors or just plain wall switches into MqGateway to make capable home automation system. These are the same sensors/modules which you would use with Arduino projects, but you don’t need to do any programming yourself - just simple configuration.

![Usage diagram](https://www.openhardware.io//uploads/5ffe1b7be64e7104b094c24c/image/mqgateway-diagram.png "Usage diagram")

Single MqGateway allows you to connect:

- up to 64 digital input/output devices (like relays or switch buttons) and
- up to 16 complex devices using RS485 or UART communication.

For now supported devices are:
- Relay module
- Switch button
- Emulated switch
- Motion detector
- Reed switch
- Timer switch
- Window shutter
- BME280 (with UART or RS485)
- DHT22 (with UART or RS485)

MqGateway is for you if you:
- Want to save money on sensors and controllers.
- Prefer wired over wireless components.
- Like to limit number of microcontrollers for sensors.
- Don't want to program microcontrollers yourself.

Read more in [documentation](https://mqgateway.com).

## Current status of the project

As of January 2021 - 5 MqGateway instances work since 3 months at my home without any issues. MqGateway software is constantly developed to support more devices and add new features.

MqGateway software source code can be found [on GitHub](https://github.com/aetas/mqgateway).

